/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */
import { IOperation, IChassisMiddleware } from "api-service-core";
/**
 * Encrypt Fields
 * --------------
 * Encrypt one or more model using the shared secret
 *
 * @type {{name: string, title: string, when: [string,string], fn: module.exports.fn, Encrypter: module.exports.Encrypter}}
 */
export default class encrypt implements IChassisMiddleware {
    name: string;
    title: string;
    fn(operation: IOperation, _options: any): Function;
}
