import { IChassisContext, IChassisPlugin } from "api-service-core";
/**
 * Harden
 * ------
 * Feature to protect micro-service from request-side abuse
 * Essentially configures Helmet
 *
 *  {
     *      harden:
     *          helmet-options
     *  }
 * @param context
 * @param options
 * @returns {exports}
 */
export default class harden implements IChassisPlugin {
    name: string;
    title: string;
    install(context: IChassisContext, options: any): void;
}
