/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */

import { IOperation, IChassisFeature } from "api-service-core";

/**
 * redirection
 * -------------
 *
 */
export default class redirect implements IChassisFeature {
    name = "api.redirect";
    title = "Redirect";

    fn(operation: IOperation, options: any): Function {
        false && options;

        let path = options.path || "/index.html";
        operation.context.log({ code: "api:redirect", resource: operation.resource, path: path });

        return function (req, res) {
            false && req;
            res.redirect(path);
        };
    }

};