

import * as _ from "lodash";

import {IChassisContext, IChassisPlugin } from "api-service-core";

/**
 * plugin to handle JSON body
 *
 * @param context
 * @param options
 * @returns {exports}
 */
export default class remote_config implements IChassisPlugin {

    name = "remote_config";
    title = "support for remote_config";

    install(_context: IChassisContext, _options: any) {
        _context.config.remote_config = _options;
        // console.log("remote_config: %o", _options);
    }

}