/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */
import { IOperation, IChassisFeature } from "api-service-core";
/**
 * Local File
 * -------------
 * Attach an API resource to local JSON assets from file system
 *
 *  static_assets:
 *      path:  {current_folder}+"./public"/
 *
 * @type {{name: string, title: string, description: string, fn: module.exports.fn}}
 */
export default class local_file implements IChassisFeature {
    name: string;
    title: string;
    fn(operation: IOperation, options: any): Function;
}
