import { IChassisContext, IChassisPlugin } from "api-service-core";
/**
 * plugin to handle prometheus metrics.
 * The plugin installs "metrics" middleware that can be attached to a endpoint to return collected statistics.
 *
 * @param context
 * @param options
 * @returns {exports}
 */
export default class prometheus implements IChassisPlugin {
    name: string;
    title: string;
    install(context: IChassisContext, options: any): void;
}
