/*************************************************************************
 *
 * Troven CONFIDENTIAL
 * __________________
 *
 *  (c) 2017-2020 Troven Pty Ltd
 *  All Rights Reserved.
 *
 * NOTICE:  All information contained herein is, and remains
 * the property of Troven Pty Ltd and its licensors,
 * if any.  The intellectual and technical concepts contained
 * herein are proprietary to Troven Pty Ltd
 * and its suppliers and may be covered by International and Regional Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Troven Pty Ltd.
 */
import { IChassisContext, IChassisPlugin } from "api-service-core";
/**
 * Google Analytics
 *
 * Feature routes local events to the Google Analytics event API
 *
 * @type {{name: string, title: string, see_also: [null], fn: module.exports.fn}}
 */
export default class ua implements IChassisPlugin {
    name: string;
    title: string;
    see_also: [{
        title: "Docs";
        url: "https://www.npmjs.com/package/universal-analytics";
    }];
    install(context: IChassisContext, _options: any): void;
}
